VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::SerialTypes::BackingSpec Class Reference

The `Serial.BackingSpec` class provides a specification of the physical resource backing a virtual serial port. More...

List of all members.

## Public Member Functions
| BackingSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.SerialTypes.BackingType | Get_Type ()
| Backing type for the virtual serial port.
void | SetType (vmware.vcenter.vm.hardware.SerialTypes.BackingType type)
| Backing type for the virtual serial port.
string | GetFile ()
| Path of the file backing the virtual serial port.
void | SetFile (string file)
| Path of the file backing the virtual serial port.
string | GetHostDevice ()
| Name of the device backing the virtual serial port.
void | SetHostDevice (string hostDevice)
| Name of the device backing the virtual serial port.
string | GetPipe ()
| Name of the pipe backing the virtual serial port.
void | SetPipe (string pipe)
| Name of the pipe backing the virtual serial port.
bool | GetNoRxLoss ()
| Flag that enables optimized data transfer over the pipe.
void | SetNoRxLoss (bool?noRxLoss)
| Flag that enables optimized data transfer over the pipe.
global::System.Uri | GetNetworkLocation ()
| URI specifying the location of the network service backing the virtual serial port.
void | SetNetworkLocation (global::System.Uri networkLocation)
| URI specifying the location of the network service backing the virtual serial port.
global::System.Uri | GetProxy ()
| Proxy service that provides network access to the network backing.
void | SetProxy (global::System.Uri proxy)
| Proxy service that provides network access to the network backing.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Serial.BackingSpec` class provides a specification of the physical resource backing a virtual serial port.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::BackingSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.SerialTypes.BackingType vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::Get_Type | ( |  | ) | `[inline]`

Backing type for the virtual serial port.

string vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::GetFile | ( |  | ) | `[inline]`

Path of the file backing the virtual serial port.

override int vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::GetHostDevice | ( |  | ) | `[inline]`

Name of the device backing the virtual serial port.

global::System.Uri vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::GetNetworkLocation | ( |  | ) | `[inline]`

URI specifying the location of the network service backing the virtual serial port.

- If Serial.BackingSpec.type is Serial.BackingType.NETWORK_SERVER , this field is the location used by clients to connect to this server. The hostname part of the URI should either be empty or should specify the address of the host on which the virtual machine is running.
- If Serial.BackingSpec.type is Serial.BackingType.NETWORK_CLIENT , this field is the location used by the virtual machine to connect to the remote server.

bool vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::GetNoRxLoss | ( |  | ) | `[inline]`

Flag that enables optimized data transfer over the pipe.

When the value is true, the host buffers data to prevent data overrun. This allows the virtual machine to read all of the data transferred over the pipe with no data loss.

string vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::GetPipe | ( |  | ) | `[inline]`

Name of the pipe backing the virtual serial port.

global::System.Uri vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::GetProxy | ( |  | ) | `[inline]`

Proxy service that provides network access to the network backing.

If set, the virtual machine initiates a connection with the proxy service and forwards the traffic to the proxy.

void vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::SetFile | ( | string | file | ) | `[inline]`

Path of the file backing the virtual serial port.

void vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::SetHostDevice | ( | string | hostDevice | ) | `[inline]`

Name of the device backing the virtual serial port.

void vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::SetNetworkLocation | ( | global::System.Uri | networkLocation | ) | `[inline]`

URI specifying the location of the network service backing the virtual serial port.

- If Serial.BackingSpec.type is Serial.BackingType.NETWORK_SERVER , this field is the location used by clients to connect to this server. The hostname part of the URI should either be empty or should specify the address of the host on which the virtual machine is running.
- If Serial.BackingSpec.type is Serial.BackingType.NETWORK_CLIENT , this field is the location used by the virtual machine to connect to the remote server.

void vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::SetNoRxLoss | ( | bool? | noRxLoss | ) | `[inline]`

Flag that enables optimized data transfer over the pipe.

When the value is true, the host buffers data to prevent data overrun. This allows the virtual machine to read all of the data transferred over the pipe with no data loss.

void vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::SetPipe | ( | string | pipe | ) | `[inline]`

Name of the pipe backing the virtual serial port.

void vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::SetProxy | ( | global::System.Uri | proxy | ) | `[inline]`

Proxy service that provides network access to the network backing.

If set, the virtual machine initiates a connection with the proxy service and forwards the traffic to the proxy.

void vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::SetType | ( | vmware.vcenter.vm.hardware.SerialTypes.BackingType | type | ) | `[inline]`

Backing type for the virtual serial port.

override string vmware::vcenter::vm::hardware::SerialTypes::BackingSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SerialTypes.cs